#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipcomp_input, "_gpl", "");
KSYMTAB_FUNC(ipcomp_output, "_gpl", "");
KSYMTAB_FUNC(ipcomp_destroy, "_gpl", "");
KSYMTAB_FUNC(ipcomp_init_state, "_gpl", "");

SYMBOL_CRC(ipcomp_input, 0xac261135, "_gpl");
SYMBOL_CRC(ipcomp_output, 0xbb195840, "_gpl");
SYMBOL_CRC(ipcomp_destroy, 0x489bf0a2, "_gpl");
SYMBOL_CRC(ipcomp_init_state, 0xae323361, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x999e8297, "vfree" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x37a0cba, "kfree" },
	{ 0xae197b5e, "crypto_destroy_tfm" },
	{ 0xde8b770e, "xfrm_state_delete_tunnel" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5327492a, "__pskb_pull_tail" },
	{ 0xea9edd79, "crypto_comp_decompress" },
	{ 0x4829a47e, "memcpy" },
	{ 0xbf56f25c, "alloc_pages" },
	{ 0xe61a6d75, "kmalloc_caches" },
	{ 0x29977925, "kmalloc_trace" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x618911fc, "numa_node" },
	{ 0x23fd3028, "vmalloc_node" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x2d6e2f1d, "crypto_alloc_base" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xbd9a1fbf, "skb_push" },
	{ 0xcd3ea77a, "crypto_comp_compress" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x13012d91, "___pskb_trim" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");

